;----------------------------------------------------------------------------------
; AutoHotkey script which switches the booth to standby mode after it has been
; idle for a while.
;
; AutoHotKey is free and can be downloaded from:
; http://www.autohotkey.com
;
; This script works with DSLR Remote Pro for Windows, NKRemote, PSRemote and
; Webcam Photobooth. After installing AutoHotKey, this script can be run by double
; clicking on it in Windows Explorer.
;
; This script comes with no warranty or support whatsoever and may
; be freely copied or modified as required.
;
; Written by Chris Breeze, www.breezesys.com
;----------------------------------------------------------------------------------
#SingleInstance force
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

; set the required timeout here. The default setting is 300 secs (5 minutes)
timeoutInSecs := 300

; loop forever monitoring the status of the photobooth screen by looking
; at the window title which is in the form:
; Breeze Systems Photobooth - <screen_pathname>

timer := A_TickCount
Loop
{
	IfWinExist, Breeze Systems Photobooth
	{
		WinGetTitle, Title, Breeze Systems Photobooth
		if Title contains ready.jpg
		{
			idleTime := (A_TickCount - timer) / 1000
			if idleTime > %timeoutInSecs%
			{
				WinActivate, Breeze Systems Photobooth
				send {F6}
			}
		}
		else
		{
			timer := A_TickCount
		}
	}
	else
	{
		timer := A_TickCount
	}
	Sleep 100	; sleep for 1/10th sec to avoid hogging the processor
}
Return
